#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: analitza
Summary: Library that will let you add mathematical features to your program
Version: 4.10.2
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: GPLv2+ and LGPLv2 and GFDL
URL: https://projects.kde.org/projects/kde/kdeedu/analitza/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libreadline-devel

%description
The analitza library will let you add mathematical features to your program.

#------------------------------------------------------------------------------
%package -n calgebra
Summary: Console mathematical calculator
Group: Sciences/Mathematics
Conflicts: kalgebra < 4.7.90

%description -n calgebra
Console interface for a mathematical calculator based content markup MathML
language.

%files -n calgebra
%_kde_bindir/calgebra

#-------------------------------------------------------------------------------
%package data
Summary: Data files for %{name}
Group: Sciences/Mathematics
BuildArch: noarch
%description data
This package provides data needed by the libanalitzaplot library

%files data
%_kde_appsdir/libanalitza/plots/basic_curves.plots

#------------------------------------------------------------------------------

%define analitza_major 4
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %libanalitza
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libanalitza
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitza
%_kde_libdir/libanalitza.so.%{analitzagui_major}*

#------------------------------------------------------------------------------

%define analitzagui_major 4
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %libanalitzagui
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libanalitzagui
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzagui
%_kde_libdir/libanalitzagui.so.%{analitzagui_major}*

#-------------------------------------------------------------------------------

%define analitzaplot_major 4
%define libanalitzaplot %mklibname analitzaplot %{analitzaplot_major}

%package -n %libanalitzaplot
Summary: Runtime library for %{name}
Group: System/Libraries
Requires: analitza-data
%description -n %libanalitzaplot
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzaplot
%_kde_libdir/libanalitzaplot.so.%{analitzaplot_major}*

#------------------------------------------------------------------------------
%define libanalitza_devel %mklibname %{name} -d

%package -n %libanalitza_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Provides: lib%{name}-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libanalitza = %version-%release
Requires: %libanalitzagui = %version-%release
Requires: %libanalitzaplot =  %version-%release
Obsoletes: kalgebra-devel < 4.7.90

%description -n %libanalitza_devel
Files needed to build applications based on %{name}.

%files -n %libanalitza_devel
%_kde_includedir/analitza
%_kde_includedir/analitzagui
%_kde_includedir/analitzaplot
%_kde_libdir/libanalitza.so
%_kde_libdir/libanalitzagui.so
%_kde_libdir/libanalitzaplot.so
%_kde_libdir/cmake/analitza

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 
%make
%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407200
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401828
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394373
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 345534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339436
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334527
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326732
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Fix files list

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320289
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Disable  -DKDE4_ENABLE_FINAL
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316173
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301944
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289738
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277025
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Update License Tag

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269639
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265920
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257229
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228355
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221456
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198228
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190953
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186042
- Update tarball to KDE SC 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181512
- Add conflicts against kalgebra
- imported package analitza

